## ros-jazzy-launch-testing-ros 0.26.5

=== debian/changelog ===
ros-jazzy-launch-testing-ros (0.26.5-3bookworm) bookworm; urgency=high

  * Make launch_testing_ros examples more robust. (#394 <https://github.com/ros2/launch_ros/issues/394>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.4-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.3-3bookworm) bookworm; urgency=high

  * added type hinting to launch_testing_ros/test/examples (#386 <https://github.com/ros2/launch_ros/issues/386>)
  * Contributors: Yaswanth

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.2-3bookworm) bookworm; urgency=high

  * Handle spin() ExternalShutdownException. (#378 <https://github.com/ros2/launch_ros/issues/378>)
  * Increase the timeout in wait_for_topic_launch_test. (#377 <https://github.com/ros2/launch_ros/issues/377>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.0-3bookworm) bookworm; urgency=high

  * WaitForTopics: get content of messages for each topic (#353 <https://github.com/ros2/launch_ros/issues/353>)
  * Contributors: Giorgio Pintaudi

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.25.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.24.0-3bookworm) bookworm; urgency=high

  * Increase the timeouts in wait_for_topic_launch_test. (#360 <https://github.com/ros2/launch_ros/issues/360>)
  * Enable document generation using rosdoc2 (#359 <https://github.com/ros2/launch_ros/issues/359>)
  * exit() methods should not reraise the passed-in exception (#357 <https://github.com/ros2/launch_ros/issues/357>)
  * Contributors: Chris Lalancette, Giorgio Pintaudi, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.23.0-3bookworm) bookworm; urgency=high

  * Inherit markers from generate_test_description (#330 <https://github.com/ros2/launch_ros/issues/330>)
  * [rolling] Update maintainers - 2022-11-07 (#331 <https://github.com/ros2/launch_ros/issues/331>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.22.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.21.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.20.0-3bookworm) bookworm; urgency=high

  * Fix long wait during shutdown in WaitForTopics (#314 <https://github.com/ros2/launch_ros/issues/314>)
  * Contributors: Keng12

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.19.2-3bookworm) bookworm; urgency=high

  * Add hz param to talker.py to fix wait_for_topic_launch_test (#309 <https://github.com/ros2/launch_ros/issues/309>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.19.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.19.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.18.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.17.0-3bookworm) bookworm; urgency=high

  * Revert WaitForTopics (#288 <https://github.com/ros2/launch_ros/issues/288>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Dec 2021 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.16.0-3bookworm) bookworm; urgency=high

  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Move pytest entrypoints to own module (#278 <https://github.com/ros2/launch_ros/issues/278>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Check that future is done, and always call rclpy.shutdown (#273 <https://github.com/ros2/launch_ros/issues/273>)
  * Revert "launch testing : Wait for topics to publish (#274 <https://github.com/ros2/launch_ros/issues/274>)" (#276 <https://github.com/ros2/launch_ros/issues/276>)
  * Contributors: Audrow Nash, Jorge Perez, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Nov 2021 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.15.0-3bookworm) bookworm; urgency=high

  * Add WaitForTopics utility for waiting on publishers (#274 <https://github.com/ros2/launch_ros/issues/274>)
  * Remove unused code, Future.result() already raises (#270 <https://github.com/ros2/launch_ros/issues/270>)
  * Add timeout to wait for service response in example (#271 <https://github.com/ros2/launch_ros/issues/271>)
  * Add examples (#263 <https://github.com/ros2/launch_ros/issues/263>)
  * Contributors: Aditya Pande, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Oct 2021 16:00:00 -0000

ros-jazzy-launch-testing-ros (0.14.2-3bookworm) bookworm; urgency=high

  * Use underscores in setup.cfg instead of dashes. (#227 <https://github.com/ros2/launch_ros/issues/227>)
  * Contributors: Mike Purvis


